.upload-block span {
    cursor: pointer;
}

.upload-block a {
    position: relative;
    overflow: hidden;
}
.upload-block span:hover a {
    color: red;
}
.upload-block a + input {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
}